datasets = {'diabetes','sonar'};

numDatasets = length(datasets);

for datasetCounter = 1:numDatasets
	AUCValuesmRS = load(sprintf('Res_Gra_mRS_InfiniteEpoch/AUCValues_Gra_mRS_InfiniteEpoch_%s.mat',datasets{datasetCounter}));
	AUCValuesRS = load(sprintf('Res_Gra_RS_InfiniteEpoch/AUCValues_Gra_RS_InfiniteEpoch_%s.mat',datasets{datasetCounter}));
	sValues = load(sprintf('Res_Gra_RS_InfiniteEpoch/sValues_Gra_RS_InfiniteEpoch_%s.mat',datasets{datasetCounter}));
	sValues = sValues.sValues;
	
	data = [sValues(:) mean(AUCValuesmRS.AUCValues,2), std(AUCValuesmRS.AUCValues,0,2), mean(AUCValuesRS.AUCValues,2), std(AUCValuesRS.AUCValues,0,2)];
	
	save(sprintf('results/%s.txt',datasets{datasetCounter}),'data','-ascii','-tabs');
end